karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Commented] (KARAF-6173) org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jetty.jndi [77]
Date Wed, 06 Mar 2019 15:41:00 GMT

    [ https://issues.apache.org/jira/browse/KARAF-6173?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16785762#comment-16785762
] 

Jean-Baptiste Onofré commented on KARAF-6173:
---------------------------------------------

I'm not able to reproduce the issue. Did you have a chance to reproduce on your side ?

> org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jetty.jndi
[77]
> -----------------------------------------------------------------------------------------
>
>                 Key: KARAF-6173
>                 URL: https://issues.apache.org/jira/browse/KARAF-6173
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf
>    Affects Versions: 4.1.4
>            Reporter: vijay
>            Assignee: Jean-Baptiste Onofré
>            Priority: Major
>
> eclipse.buildId=unknown
> java.version=1.8.0_192
> java.vendor=Oracle Corporation
> BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
> !ENTRY org.eclipse.jetty.jndi 4 0 2019-02-21 16:32:04.545
> !MESSAGE FrameworkEvent ERROR
> !STACK 0
> org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jetty.jndi
[77]
>  Unresolved requirement: Import-Package: javax.mail; version="[1.4.0,2.0.0)"
> at org.eclipse.osgi.container.Module.start(Module.java:444)
>  at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1634)
>  at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1614)
>  at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1585)
>  at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1528)
>  at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
>  at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
>  at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
> !ENTRY org.eclipse.jetty.plus 4 0 2019-02-21 16:32:04.549
> !MESSAGE FrameworkEvent ERROR
> !STACK 0
> org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jetty.plus
[78]
>  Unresolved requirement: Import-Package: org.eclipse.jetty.jndi; version="[9.3.21,9.3.22)"
>  -> Export-Package: org.eclipse.jetty.jndi; bundle-symbolic-name="org.eclipse.jetty.jndi";
bundle-version="9.3.21.v20170918"; version="9.3.21"; uses:="javax.naming,javax.naming.spi,javax.sql,org.eclipse.jetty.util.component,org.eclipse.jetty.util.log"
>  org.eclipse.jetty.jndi [77]
>  Unresolved requirement: Import-Package: javax.mail; version="[1.4.0,2.0.0)"
>  Unresolved requirement: Import-Package: org.eclipse.jetty.jndi.local; version="[9.3.21,9.3.22)"
>  -> Export-Package: org.eclipse.jetty.jndi.local; bundle-symbolic-name="org.eclipse.jetty.jndi";
bundle-version="9.3.21.v20170918"; version="9.3.21"; uses:="javax.naming,org.eclipse.jetty.jndi"
> at org.eclipse.osgi.container.Module.start(Module.java:444)
>  at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1634)
>  at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1614)
>  at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1585)
>  at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1528)
>  at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
>  at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
>  at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message